{% extends 'base.html' %}

{% block title %} Acasa {% endblock title%}

{% block content%}
<section class="py-5">
            <div class="container px-4 px-lg-5 mt-5">
                <div class="row gx-4 gx-lg-5 row-cols-2 row-cols-md-3 row-cols-xl-4 justify-content-center">
                   {% for item in object_list %}
                    <div class="col mb-5">
                        <div class="card shadow h-100">
                            <!-- Product image-->
                            <img class="card-img-top" src="{{item.image.url}}" alt="..." />
                            <!-- Product details-->
                            <div class="card-body p-4">
                                <div class="text-center">
                                    <!-- Product name-->
                                    <h5 class="fw-bolder">{{item.title }} </h5>
                                    <!-- Product price-->
                                    {%if item.discount_price%}
                                    <p><del class="mt-2 text-danger">{{item.price }} Lei</del> {{item.discount_price }} Lei</p>

                                    {% else %}

                                    <p>{{item.price }} Lei</p>


                                    {% endif %}
                                    <p class="btn btn-danger btn-sm">{{item.get_category_display}}</p>

                                </div>
                            </div>
                            <!-- Product actions-->
                            <div class="card-footer p-4 pt-0 border-top-0 bg-transparent">
                                <div class="text-center">
                                    <a class="btn btn-outline-dark mt-auto" href="{{item.get_item_url}}">Detalii</a>
                                </div>
                            </div>
                        </div>
                    </div>
{%endfor%}
                </div>
            </div>



           {% if is_paginated %}
    <nav aria-label="Page navigation example">
        <ul class="pagination justify-content-center">
            {% if page_obj.has_previous %}
                <li class="page-item">
                    <a class="page-link" href="?page={{ page_obj.previous_page_number }}" aria-label="Inapoi">
                        <span aria-hidden="true">&laquo;</span>
                    </a>
                </li>
            {% endif %}
            <li class="mx-4 mt-2"> Pagina {{ page_obj.number }} din {{ page_obj.paginator.num_pages }}</li>
            {% if page_obj.has_next %}
                <li class="page-item">
                    <a class="page-link" href="?page={{ page_obj.next_page_number }}" aria-label="Urmatorul">
                        <span aria-hidden="true">&raquo;</span>
                    </a>
                </li>
            {% endif %}
        </ul>
    </nav>
{% endif %}

        </section>
        {%endblock%}








